/*
   File: ast_utils.h
   Defines some support routines to handle the ast

   Copyright (C) 2008 Marc Seutter

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

   CVS ID: "$Id: ast_utils.h,v 1.7 2008/06/28 13:38:28 marcs Exp $"
*/
#ifndef IncAstUtils
#define IncAstUtils

/* libdcg and local includes */
#include <dcg.h>
#include "cdl_ds.h"

/* exported code */
string string_from_guard_type (guard_type type);
string string_from_operator (operator op);
string string_from_proc_type (proc_type type);
affix_rule type_from_operator (operator op);
void set_local_state (state_list sl, int nr, state ns);
state get_local_state (state_list sl, int nr);

#endif /* IncAstUtils */

